Skip to content

Get data resource list

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get the data resource list, you can specify the filter by data resource name, data resource Code and data resource permission space Code list.

Method name

ManagementClient.listDataResources

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010
querystringNo-Keyword search, can be data resource name or data resource CodeResource1
namespaceCodesstring[]No-The permission space to which the permission data belongs Code list Array length limit: 50.["examplePermissionNamespace1","examplePermissionNamespac2"]

Example code

ts
import { ManagementClient, Models } from 'authing-node-sdk';

// Initialize ManagementClient
const managementClient = new ManagementClient({
// Need to be replaced with your GenAuth Access Key ID
accessKeyId: 'GEN_AUTH_ACCESS_KEY_ID',
// Need to be replaced with your GenAuth Access Key Secret
accessKeySecret: 'GEN_AUTH_ACCESS_KEY_SECRET',
// If it is a private deployment customer, you need to set the GenAuth service domain name
// host: 'https://api.your-authing-service.com'
});

(async () => {

const result = await managementClient.listDataResources({
page: 1,
limit: 10,
query: 'Example data resources'
namespaceCodes: ['examplePermissionNamespace1','examplePermissionNamespace2']
});

console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: ListDataResourcesPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a DataResourcesPaginatedRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "resourceName": "Sample data resource name",
      "resourceCode": "dataResourceTestCode",
      "type": "TREE",
      "description": "Example data resource description",
      "namespaceCode": "examplePermissionNamespace",
      "namespaceName": "Example permission space",
      "authorizationNum": 1,
      "updatedAt": "2022-07-03T03:20:30.000Z"
    }
  }
}

Data structure

DataResourcesPaginatedRespDto

NameTypeIs it requiredDescriptionExample value
totalCountnumberYesTotal number of records
listarrayyesResponse data Nested type: <a ListDataResourcesRespDto.

ListDataResourcesRespDto

NameTypeIs it required?DescriptionSample value
resourceNamestringYesData resource name, unique in the permission spaceSample data resource name
resourceCodestringYesData resource Code, unique in the permission spacedataResourceTestCode
typestringYesData resource type, currently supports tree structure (TREE), string (STRING), array (ARRAY)TREE
descriptionstringNoData resource descriptionSample data resource description
namespaceCodestringYesThe permission space to which the data resource belongs CodeexamplePermissionNamespace
namespaceNamestringyesThe name of the permission space to which the data resource belongsexample permission space
authorizationNumnumberyesThe number of authorizations associated with the data resource1
updatedAtstringyesThe time the data resource was updated2022-07-03T03:20:30.000Z

Agent infrastructure for identity, memory, and web action.